Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.coordinatesystems
Class GeocentricCRS

    java.lang.Object
      org.deegree.crs.Identifiable
          org.deegree.crs.coordinatesystems.CoordinateSystem
              org.deegree.crs.coordinatesystems.GeocentricCRS

All Implemented Interfaces:
  Serializable

    public class GeocentricCRS

extends CoordinateSystem

A `GeocentricCRS` is a coordinatesystem having three axis and a mass point defined to be equivalent to earths center.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`static GeocentricCRS` | `WGS84` The default geocentric coordinate system.

Fields inherited from class org.deegree.crs.coordinatesystems.CoordinateSystem
`COMPOUND_CRS, GEOCENTRIC_CRS, GEOGRAPHIC_CRS, PROJECTED_CRS, VERTICAL_CRS`

Constructor Summary
`GeocentricCRS(GeodeticDatum datum, Axis[] axisOrder, Identifiable identity)`
`GeocentricCRS(GeodeticDatum datum, Axis[] axisOrder, String identifier)`
`GeocentricCRS(GeodeticDatum datum, Axis[] axisOrder, String[] identifiers, String[] names, String[] versions, String[] descriptions, String[] areasOfUse)`
`GeocentricCRS(GeodeticDatum datum, Axis[] axisOrder, String identifier, String name, String version, String description, String areaOfUse)`
`GeocentricCRS(GeodeticDatum datum, String identifier, String name)` Geocentric crs with it's axis pointing to x=front, y=east, z=north.
`GeocentricCRS(List<PolynomialTransformation> transformations, GeodeticDatum usedDatum, Axis[] axisOrder, Identifiable identity)`

Method Summary
`int` | `getDimension()`
`int` | `getType()`

Methods inherited from class org.deegree.crs.coordinatesystems.CoordinateSystem
`convertToAxis, equals, getAxis, getDatum, getDirectTransformation, getEasting, getGeodeticDatum, getNorthing, getTransformations, getTypeName, getUnits, hasDirectTransformation, hashCode, toString`

Methods inherited from class org.deegree.crs.Identifiable
`checkForNullObject, checkForNullObject, checkForNullObject, getAreaOfUse, getAreaOfUseBBox, getAreasOfUse, getDescription, getDescriptions, getIdAndName, getIdentifier, getIdentifiers, getName, getNames, getVersion, getVersions, hasID`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WGS84

    public static final GeocentricCRS WGS84

  The default geocentric coordinate system. Geocentric datum is WGS84 and linear units are metre. The X axis points towards the prime meridian (e.g. front). The Y axis points East. The Z axis points North.

Constructor Detail

### GeocentricCRS

    public GeocentricCRS(GeodeticDatum datum,
                         Axis[] axisOrder,
                         Identifiable identity)

Parameters:
  `datum` -
  `axisOrder` -
  `identity` -

### GeocentricCRS

    public GeocentricCRS(GeodeticDatum datum,
                         Axis[] axisOrder,
                         String[] identifiers,
                         String[] names,
                         String[] versions,
                         String[] descriptions,
                         String[] areasOfUse)

Parameters:
  `datum` -
  `axisOrder` -
  `identifiers` -
  `names` -
  `versions` -
  `descriptions` -
  `areasOfUse` -

### GeocentricCRS

    public GeocentricCRS(GeodeticDatum datum,
                         Axis[] axisOrder,
                         String identifier,
                         String name,
                         String version,
                         String description,
                         String areaOfUse)

Parameters:
  `datum` -
  `axisOrder` -
  `identifier` -
  `name` -
  `version` -
  `description` -
  `areaOfUse` -

### GeocentricCRS

    public GeocentricCRS(GeodeticDatum datum,
                         Axis[] axisOrder,
                         String identifier)

Parameters:
  `datum` -
  `axisOrder` -
  `identifier` -

### GeocentricCRS

    public GeocentricCRS(GeodeticDatum datum,
                         String identifier,
                         String name)

  Geocentric crs with it's axis pointing to x=front, y=east, z=north.

  Parameters:
    `datum` -
    `identifier` -
    `name` -

### GeocentricCRS

    public GeocentricCRS(List<PolynomialTransformation> transformations,
                         GeodeticDatum usedDatum,
                         Axis[] axisOrder,
                         Identifiable identity)

Parameters:
  `transformations` -
  `usedDatum` -
  `axisOrder` -
  `identity` -

Method Detail

### getType

    public int getType()

  Specified by:
    `getType` in class `CoordinateSystem`
  Returns:
    one of the *_CRS types defined in this class.

### getDimension

    public int getDimension()

  Specified by:
    `getDimension` in class `CoordinateSystem`
  Returns:
    the dimension of this CRS.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org